package djmil.cordacheckers;

import org.junit.jupiter.api.Test;

import djmil.cordacheckers.cordaclient.dao.HoldingIdentity;

import static org.assertj.core.api.Assertions.assertThat;

import javax.naming.InvalidNameException;


public class HoldingIdentityTest {
    
    @Test
    public void isPlayerTest() throws InvalidNameException {

        HoldingIdentity alice = new HoldingIdentity("CN=Alice, OU=Player, O=Checkers, L=Zug, C=CH", "HHHDDD");
        HoldingIdentity bob   = new HoldingIdentity("CN=Bob, OU=Other, O=Checkers, L=Zug, C=CH", "HHHDDD");

        assertThat(alice.getName()).isEqualTo("Alice");
        assertThat(alice.isPlayer()).isEqualTo(true);

        assertThat(bob.getName()).isEqualTo("Bob");
        assertThat(bob.isPlayer()).isEqualTo(false);
    }

}
